On Thu, Feb 03, 2000 at 01:17:45AM +0100, [EMAIL PROTECTED] wrote:
> > So that means that we need a new domain, such as "gimp-override",
> > that resides in .gimp/locale and is consulted just like gimp-perl and
> > gimp-plug-ins.
>  No....

You seem to want to move the catalogs to the home directorys, which is much
worse (one copy for each user is insane).

Do you have any _reasons_ not having a seperate domain (speed? usability?)
AFAIK it'S only in a few places neede d(probably only one).

OR can we bind a domain on more than one .mo-file (probably not).

>  I think it's the same as yours, but beware: Before merging catalogs you
>  have to remove the headers and duplicate entries or msgfmt will refuse
>  the compile them....

msgmerge? (I hope that'll do it). OTOH, perl is versatile..

> > That way we can msgunfmt the existing mo file, add messages, and write
> > it back again on installation.
>  Theoretically, yes...

All of this is a theory.  I just want to make sure that, in six months or
a year from now on, people can use the all-new gimp-installer and it works
with the last stable release.

So it does not matter wether it's slow to merge catalogs, it matters
wether it is possible at all to cleanly install plug-ins later.

> >>  I'm no fan of further dependencies you know...
> > Neither me... any better solution, though? No...
>  No, despite of replacing gettext.... :)

You would work on that (in the long term)...? (hopefully ;)

>  We could also use to remove the barriers in GIMP i18n for know. This
>  would only have one big limitation we also suffer from at the moment:

As long as it doesn't introduce new limitations it does not matter.

>  make sense to you to:
>  a) Move the used catalog from its standard location to the homedirectory
>     of the user?

Makes no sense to me.

>  b) Merge all translations into this catalog with help from a script/tool?

You mean a single mega-catalog containing gimp-perl, libgimp,
gimp-std-plug-ins, gimp?

Why is that necessary?

>  c) Remove the hackery from the sourcecode since it would be unnecessary then?

fine with me ;)

>  d) Release GIMP 1.2?


>  e) Head for a proper solution afterwards? :)      

Me, too!

      -----==-                                             |
      ----==-- _                                           |
      ---==---(_)__  __ ____  __       Marc Lehmann      +--
      --==---/ / _ \/ // /\ \/ /       [EMAIL PROTECTED] |e|
      -=====/_/_//_/\_,_/ /_/\_\       XX11-RIPE         --+
    The choice of a GNU generation                       |

Reply via email to